## lucene2 2.9.4+ds1

=== debian/changelog ===
lucene2 (2.9.4+ds1-6) unstable; urgency=medium

  * Team upload.
  * Disable the tests because they cause random build failures.
    (Closes: #749365)
  * Fix Lintian error privacy-breach-logo and privacy-breach-generic by
    removing the external link to the logo from the documentation.
  * Use compat level 9 and require debhelper >= 9.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Aug 2016 15:42:11 +0200

lucene2 (2.9.4+ds1-5) unstable; urgency=medium

  * Team upload.

  [ Stephen Nelson ]
  * Convert package to use quilt for patching as dpatch is deprecated.
  * Remove Michael Koch from uploaders (Closes: #654107).
  * Remove deprecated DM-Upload flag.
  * Update VCS fields to use canonical version.

  [ Kai-Chung Yan ]
  * Moved the package to Git
  * Change dependency: libicu4j-java => libicu4j-4.2-java (Closes: #819193)
  * Update standards version to 3.9.8

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 08 Apr 2016 13:24:44 +0200

lucene2 (2.9.4+ds1-4) unstable; urgency=low

  [ Benjamin Drung ]
  * Team upload.
  * Upload to unstable (Closes: #640494).
  * Use versioned format link in debian/copyright (Closes: #631632).
  * Build with default-jdk instead of openjdk-6-jdk.
  * Use dpkg-source version 1.0 until we switch to quilt.

  [ Jan-Pascal van Best ]
  * Removed Jan-Pascal van Best from Uploaders

 -- Benjamin Drung <bdrung@debian.org>  Mon, 19 Sep 2011 21:37:46 +0200

lucene2 (2.9.4+ds1-3) experimental; urgency=low

  * Team upload.
    - Upload to experimental to avoid breaking eclipse in sid.
  * Fixed the Bundle-SymbolicName of the lucene-core.jar.
    (Closes: 631235)
  * Dropped JRE dependencies - no longer required by the Java Policy.
  * Do not install CHANGES.txt - dh_installchangelogs already installs
    this as the upstream changelog.
  * Bumped Standards-Version to 3.9.2 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Wed, 03 Aug 2011 12:42:12 +0200

lucene2 (2.9.4+ds1-2) unstable; urgency=low

  * Team upload.
  * Change dependency on libdb5.1-java to libdb-java (Closes: #628288)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jul 2011 15:14:40 +0200

lucene2 (2.9.4+ds1-1) unstable; urgency=low

  * New upstream version: 2.9.4
  * Added a Breaks: eclipse-platform (<= 3.5.2-6), forward-port from
    2.9.2+ds1-1squeeze1 (Closes: #595356)
  * Put lucli under update-alternatives control to allow liblucene3-java-contrib
    to take over
  * Change dependency on libdb4.7-java to libdb5.1-java (Closes: #621398)
  * Fixed debian/watch for new Apache archive repository layout
  * Bump standards version to 3.9.1 (no changes needed)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 21 Apr 2011 22:01:28 +0200

lucene2 (2.9.3+ds1-1) unstable; urgency=low

  * New upstream release 2.9.3
  * Bump standards version to 3.9.0 (no changes needed)
  * Added OSGI Require-Bundle metadata in contrib libraries (Closes: #578196)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 06 Aug 2010 16:14:31 +0200

lucene2 (2.9.2+ds1-1) unstable; urgency=low

  * New upstream release
  * Add patch to fix Java networking during package build (workaround for
    #560056).
  * Bump standards version to 3.8.4 (no changes needed)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 18 Mar 2010 13:03:42 +0100

lucene2 (2.9.1+ds1-5) unstable; urgency=low

  * Override OSGi Bundle-SymbolicName for lucene-analyzers to be
    `analysis' instead of `analyzers' (Closes: #566445)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Sat, 23 Jan 2010 20:27:45 +0100

lucene2 (2.9.1+ds1-4) unstable; urgency=low

  * Disable calling svnversion during package build
  * Backport upstream fix (svn 834011): fix bug that causes false positive
    failure in the test (Closes: #562308)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 22 Jan 2010 12:49:57 +0100

lucene2 (2.9.1+ds1-3) unstable; urgency=low

  * Mention in this changelog that CVE-2007-2383 has been fixed
    (Closes: #558355; Fix CVE-2007-2383)
  * Providing OSGi metadata in the Manifest for the
    core and contrib packages (needed for building Eclipse).

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 20 Jan 2010 13:54:48 +0100

lucene2 (2.9.1+ds1-2) unstable; urgency=low

  * Removed (unused) embedded Prototype javascript library
    (Closes: #555225, #555226; Fix CVE-2007-2383)
  * Added README.source containing information about how to create the Debian
    source from the upstream source tarball

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 19 Nov 2009 20:45:04 +0100

lucene2 (2.9.1+ds1-1) unstable; urgency=low

  * New upstream release 2.9.1

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 06 Nov 2009 21:22:26 +0100

lucene2 (2.9.0+ds1-3) unstable; urgency=low

  * Fix contrib/ant unit test for running under pbuilder
  * Disable backwards compatibility tests because these download older versions
    from the Apache Lucene svn repository
  * Moved a number of dependencies to Recommends: because they are only
    dependencies of a contrib library:
       libicu4j-java: contrib/collation
       libjline-java: contrib/lucli
       libjtidy-java: contrib/ant
       libregexp-java: contrib/regex
       libcommons-beanutils-java, libcommons-collections3-java,
       libcommons-compress-java, libcommons-digester-java,
       libcommons-logging-java: contrib/benchmark
       libdb4.7-java, libdb-je-java: contrib/db
  * Changed JRE depends to the -headless versions

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 05 Nov 2009 22:49:39 +0100

lucene2 (2.9.0+ds1-2) unstable; urgency=low

  * Updated Java source and target version to 1.5 (Closes: #549812)
  * Added missing dependency on libicu4j-java (for contrib/collation)
  * Added missing dependency on libjtidy-java (for contrib/ant)
  * Fix lucli script (shebang line was places after the license block)
  * Converted debian/copyright to machine-readable format

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 04 Nov 2009 10:27:47 +0100


