=== debian/control ===
Source: lucene2
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Barry Hawkins <barry@alltc.com>,
           Jeff Breidenbach <jab@debian.org>,
           Rene Engelhard <rene@debian.org>
Build-Depends: ant-contrib,
               ant-optional (>= 1.8),
               cdbs (>= 0.4.49),
               debhelper (>= 9),
               default-jdk,
               javacc,
               junit
Build-Depends-Indep: libcommons-beanutils-java (>= 1.7.0),
                     libcommons-collections3-java (>= 3.1),
                     libcommons-compress-java (>= 1.0),
                     libcommons-digester-java (>= 1.7),
                     libcommons-logging-java (>= 1.0.4),
                     libdb-java (>= 5.1.4),
                     libdb-je-java (>= 3.2.68),
                     libicu4j-4.2-java,
                     libjline-java (>= 0.9.5),
                     libjtidy-java (>= 7+svn20070309),
                     libregexp-java (>= 1.4)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/lucene2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-java/lucene2.git
Homepage: http://lucene.apache.org/java/

Package: liblucene2-java
Architecture: all
Depends: ${misc:Depends}
Recommends: libcommons-beanutils-java (>= 1.7.0),
            libcommons-collections3-java (>= 3.1),
            libcommons-compress-java (>= 1.0),
            libcommons-digester-java (>= 1.7),
            libcommons-logging-java (>= 1.0.4),
            libdb-java (>= 5.1.4),
            libdb-je-java (>= 3.2.68),
            libicu4j-4.2-java,
            libjline-java (>= 0.9.5),
            libjtidy-java (>= 7+svn20070309),
            libregexp-java (>= 1.4)
Breaks: eclipse-platform (<= 3.5.2-11), solr-common (<< 1.2.0+ds2-3)
Description: Full-text search engine library for Java(TM)
 Lucene is a full-text search engine for the Java(TM) programming language.
 Lucene is not a complete application, but rather a code library and API
 that can easily be used to add search capabilities to applications.
 .
 This package contains the Lucene core library and a number of additional
 (contributed) libraries.

Package: liblucene2-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ant-doc, libregexp-java (>= 1.4)
Description: Documentation for Lucene
 Lucene is a full-text search engine for the Java(TM) programming language.
 Lucene is not a complete application, but rather a code library and API
 that can easily be used to add search capabilities to applications.
 This package contains class API documentation for Lucene.
