=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
http://www.apache.org/dist/lucene/java/(2\.9\.\d)/lucene-(2\.9.\d)-src\.tar\.gz
